import { LitElement } from 'lit';
/**
 * A breadcrumbs component to be used in combination with the uui-breadcrumb-item.
 *  @element uui-breadcrumbs
 *  @slot - Slot to display nested breadcrumb items. It supports `<uui-breadcrumb-item>` elements or elements containing the `role="listitem"` attribute
 */
export declare class UUIBreadcrumbsElement extends LitElement {
    private slotNodes;
    private elementIsBreadcrumbItem;
    connectedCallback(): void;
    handleSlotChange(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-breadcrumbs': UUIBreadcrumbsElement;
    }
}
